<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">     
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Mostly Fluid</title>
    <link rel="stylesheet" type="text/css" href="layouts-common.css">
    <style type="text/css">
    
    /* Mostly Fluid */
    .container {
        display: -webkit-flex;
        display: flex;
        -webkit-flex-flow: row wrap;
        flex-flow: row wrap;
    }

    .columna1, .columna2, .columna3, 
    .columna4, .columna5 {
        width: 100%;
    }

    @media (min-width: 600px) {
        .columna2, .columna3, 
        .columna4, .columna5 {
            width: 50%;
        }
    }
    @media (min-width: 800px) {
        .columna1 { width: 60%; }
        .columna2 { width: 40%; }
        .columna3, .columna4 {
            width: 33%;
        } 
        .columna5 {
            width: 34%;
        }
        .container {
            width: 800px;
            margin-left: auto;
            margin-right: auto;
        }
    }
    </style>
</head>
<body>
  <nav>Navbar</nav>
  <section class="container">
    <article class="columna1">Sección 1</article>
    <article class="columna2">Sección 2</article>
    <article class="columna3">Sección 3</article>
    <article class="columna4">Sección 4</article>
    <article class="columna5">Sección 5</article>
  </section>
</body>
</html>


